package net.sergeych.mptools

import net.sergeych.mp_logger.LogTag
import net.sergeych.mp_logger.exception

suspend fun <T> LogTag.reportExceptions(block: suspend () -> T): T = try {
    block()
} catch (t: Throwable) {
    exception { "error:" to t }
    throw t
}

